TeamTalk 5 C-API DLL Version 5.18A

Public Attributes | List of all members
JitterConfig Struct Reference
Client/Server Connectivity

Configuration parameters for the Jitter Buffer. More...

`#include <TeamTalk.h>`

## Public Attributes

INT32 | nFixedDelayMSec
| The fixed delay in milliseconds. Default = 0. More...
TTBOOL | bUseAdativeDejitter
| Turns adaptive jitter buffering ON/OFF. Default is OFF. More...
INT32 | nMaxAdaptiveDelayMSec
| A hard maximum delay on the adaptive delay. Only valid when higher than zero. Default = 0. More...
INT32 | nActiveAdaptiveDelayMSec
| The current adaptive delay. When used with TT_SetUserJitterControl, this value is used as the adaptive jitter delay starting at the next voice stream of the user. Default = 0, meaning the value will not be used. When returned via TT_GetUserJitterControl, it contains the currently active adaptive jitter delay. More...

## Detailed Description

Configuration parameters for the Jitter Buffer.

See also
  TT_SetUserJitterControl()

Definition at line 2816 of file TeamTalk.h.

## Member Data Documentation

## ◆ nFixedDelayMSec

INT32 JitterConfig::nFixedDelayMSec

The fixed delay in milliseconds. Default = 0.

Definition at line 2819 of file TeamTalk.h.

## ◆ bUseAdativeDejitter

TTBOOL JitterConfig::bUseAdativeDejitter

Turns adaptive jitter buffering ON/OFF. Default is OFF.

Definition at line 2821 of file TeamTalk.h.

## ◆ nMaxAdaptiveDelayMSec

INT32 JitterConfig::nMaxAdaptiveDelayMSec

A hard maximum delay on the adaptive delay. Only valid when higher than zero. Default = 0.

Definition at line 2824 of file TeamTalk.h.

## ◆ nActiveAdaptiveDelayMSec

INT32 JitterConfig::nActiveAdaptiveDelayMSec

The current adaptive delay. When used with TT_SetUserJitterControl, this value is used as the adaptive jitter delay starting at the next voice stream of the user. Default = 0, meaning the value will not be used. When returned via TT_GetUserJitterControl, it contains the currently active adaptive jitter delay.

Definition at line 2831 of file TeamTalk.h.